arllinux 5 years ago
parent
commit
989eb29232
39 changed files with 649 additions and 228 deletions
  1. 3 0
      brasero/README.txt
  2. 1 0
      brasero/gst1-plugins-base/.gitignore
  3. 7 0
      brasero/gst1-plugins-base/README
  4. 1 0
      brasero/gst1-plugins-base/gst-plugins-base-1.2.2.tar.xz.md5
  5. 104 0
      brasero/gst1-plugins-base/gst1-plugins-base.SlackBuild
  6. 10 0
      brasero/gst1-plugins-base/gst1-plugins-base.info
  7. 19 0
      brasero/gst1-plugins-base/slack-desc
  8. 1 0
      brasero/libunique/.gitignore
  9. 9 0
      brasero/libunique/README
  10. 143 0
      brasero/libunique/libunique-1.1.6-G_CONST_RETURN.patch
  11. 50 0
      brasero/libunique/libunique-1.1.6-compiler-warnings.patch
  12. 1 0
      brasero/libunique/libunique-1.1.6.tar.bz2.md5
  13. 91 0
      brasero/libunique/libunique.SlackBuild
  14. 10 0
      brasero/libunique/libunique.info
  15. 19 0
      brasero/libunique/slack-desc
  16. 1 0
      brasero/orc/.gitignore
  17. 5 0
      brasero/orc/README
  18. 1 0
      brasero/orc/orc-0.4.19.tar.gz.md5
  19. 80 0
      brasero/orc/orc.SlackBuild
  20. 10 0
      brasero/orc/orc.info
  21. 19 0
      brasero/orc/slack-desc
  22. 1 0
      brasero/plugin_for_brasero/dvdauthor/.gitignore
  23. 2 0
      brasero/plugin_for_brasero/dvdauthor/README
  24. 1 0
      brasero/plugin_for_brasero/dvdauthor/dvdauthor-0.7.1.tar.gz.md5
  25. 28 21
      construction_pdf_mod/libgdiplus/libgdiplus.SlackBuild
  26. 10 0
      brasero/plugin_for_brasero/dvdauthor/dvdauthor.info
  27. 19 0
      brasero/plugin_for_brasero/dvdauthor/slack-desc
  28. 0 1
      construction_pdf_mod/libgdiplus/.gitignore
  29. 0 2
      construction_pdf_mod/libgdiplus/README
  30. 0 10
      construction_pdf_mod/libgdiplus/libgdiplus.info
  31. 0 19
      construction_pdf_mod/libgdiplus/slack-desc
  32. 0 1
      construction_pdf_mod/mono/.gitignore
  33. 0 6
      construction_pdf_mod/mono/README
  34. 0 29
      construction_pdf_mod/mono/doinst.sh
  35. 0 107
      construction_pdf_mod/mono/mono.SlackBuild
  36. 0 10
      construction_pdf_mod/mono/mono.info
  37. 0 19
      construction_pdf_mod/mono/slack-desc
  38. 1 1
      dia/dia.SlackBuild
  39. 2 2
      template_slackbuilds

+ 3 - 0
brasero/README.txt

@@ -5,3 +5,6 @@ gst1-plugins-base
 gst1-plugins-bad
 libunique
 brasero
+
+plugins additionnel pour brasero
+dvdauthor

+ 1 - 0
brasero/gst1-plugins-base/.gitignore

@@ -0,0 +1 @@
+gst-plugins-base-*.tar.xz

+ 7 - 0
brasero/gst1-plugins-base/README

@@ -0,0 +1,7 @@
+This is a well-groomed and well-maintained collection of GStreamer 
+plug-ins and elements, spanning the range of possible types of 
+elements one would want to write for GStreamer.
+
+gst1-plugins-base is for gstreamer1 (GStreamer 1.x).
+
+orc is an optional (but recommended) dependency.

+ 1 - 0
brasero/gst1-plugins-base/gst-plugins-base-1.2.2.tar.xz.md5

@@ -0,0 +1 @@
+ed0fd639a10d91870cc1d55727bb4f44  gst-plugins-base-1.2.2.tar.xz

+ 104 - 0
brasero/gst1-plugins-base/gst1-plugins-base.SlackBuild

@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for gst1-plugins-base
+
+# Copyright 2013  Robby Workman, Northport, Alabama, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gst1-plugins-base
+VERSION=${VERSION:-1.2.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=gst-plugins-base
+
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) ARCH=i486 ;;
+    arm*) ARCH=arm ;;
+       *) ARCH=$( uname -m ) ;;
+  esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.xz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --sysconfdir=/etc \
+  --localstatedir=/var \
+  --mandir=/usr/man \
+  --docdir=/usr/doc/$PRGNAM-$VERSION \
+  --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+  grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+  AUTHORS COPYING* ChangeLog INSTALL NEWS RE* \
+  $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}

+ 10 - 0
brasero/gst1-plugins-base/gst1-plugins-base.info

@@ -0,0 +1,10 @@
+PRGNAM="gst1-plugins-base"
+VERSION="1.2.2"
+HOMEPAGE="http://gstreamer.freedesktop.org/"
+DOWNLOAD="http://gstreamer.freedesktop.org/src/gst-plugins-base/gst-plugins-base-1.2.2.tar.xz"
+MD5SUM="ed0fd639a10d91870cc1d55727bb4f44"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gstreamer1"
+MAINTAINER="Robby Workman"
+EMAIL="rworkman@slackbuilds.org"

+ 19 - 0
brasero/gst1-plugins-base/slack-desc

@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+                 |-----handy-ruler------------------------------------------------------|
+gst1-plugins-base: gst1-plugins-base (base set of GStreamer1 plugins)
+gst1-plugins-base:
+gst1-plugins-base: GStreamer Base Plug-ins is a well-groomed and well-maintained
+gst1-plugins-base: collection of GStreamer plug-ins and elements, spanning the
+gst1-plugins-base: range of possible types of elements one would want to write
+gst1-plugins-base: for GStreamer.  It also contains helper libraries and base
+gst1-plugins-base: classes useful for writing elements.  A wide range of video
+gst1-plugins-base: and audio decoders, encoders, and filters are included.
+gst1-plugins-base:
+gst1-plugins-base:
+gst1-plugins-base:

+ 1 - 0
brasero/libunique/.gitignore

@@ -0,0 +1 @@
+libunique-*.tar.bz2

+ 9 - 0
brasero/libunique/README

@@ -0,0 +1,9 @@
+Unique is a library for writing single instance application.
+If you launch a single instance application twice, the second
+instance will either just quit or will send a message to the
+running instance.
+
+Unique makes it easy to write this kind of applications, by
+providing a base class, taking care of all the IPC machinery
+needed to send messages to a running instance, and also handling
+the startup notification side.

+ 143 - 0
brasero/libunique/libunique-1.1.6-G_CONST_RETURN.patch

@@ -0,0 +1,143 @@
+From 557b0e5045c9eadb556ce11e16965cf0d0787438 Mon Sep 17 00:00:00 2001
+From: Stef Walter <stefw@collabora.co.uk>
+Date: Tue, 14 Jun 2011 12:33:45 +0100
+Subject: [PATCH] Remove G_CONST_RETURN usage, now that its gone in glib.
+
+https://bugzilla.gnome.org/show_bug.cgi?id=652545
+
+[Alexandre Rostovtsev <tetromino@gmail.com>: backported to unique-1.1]
+---
+ unique/uniqueapp.c       |    4 ++--
+ unique/uniquebackend.c   |    4 ++--
+ unique/uniquebackend.h   |    4 ++--
+ unique/uniqueinternals.h |    4 ++--
+ unique/uniquemessage.c   |    4 ++--
+ unique/uniquemessage.h   |    4 ++--
+ 6 files changed, 12 insertions(+), 12 deletions(-)
+
+diff --git a/unique/uniqueapp.c b/unique/uniqueapp.c
+index b40a86c..e8edc94 100644
+--- a/unique/uniqueapp.c
++++ b/unique/uniqueapp.c
+@@ -781,7 +781,7 @@ unique_app_watch_window (UniqueApp *app,
+ }
+ 
+ 
+-G_CONST_RETURN gchar *
++const gchar *
+ unique_command_to_string (UniqueApp *app,
+                           gint       command)
+ {
+@@ -863,7 +863,7 @@ unique_command_from_string (UniqueApp   *app,
+   return retval;
+ }
+ 
+-G_CONST_RETURN gchar *
++const gchar *
+ unique_response_to_string (UniqueResponse response)
+ {
+   GEnumClass *enum_class;
+diff --git a/unique/uniquebackend.c b/unique/uniquebackend.c
+index a76e42e..68e2735 100644
+--- a/unique/uniquebackend.c
++++ b/unique/uniquebackend.c
+@@ -111,7 +111,7 @@ unique_backend_set_name (UniqueBackend *backend,
+  *
+  * Return value: FIXME
+  */
+-G_CONST_RETURN gchar *
++const gchar *
+ unique_backend_get_name (UniqueBackend *backend)
+ {
+   g_return_val_if_fail (UNIQUE_IS_BACKEND (backend), NULL);
+@@ -154,7 +154,7 @@ unique_backend_set_startup_id (UniqueBackend *backend,
+  *
+  * Return value: FIXME
+  */
+-G_CONST_RETURN gchar *
++const gchar *
+ unique_backend_get_startup_id (UniqueBackend *backend)
+ {
+   g_return_val_if_fail (UNIQUE_IS_BACKEND (backend), NULL);
+diff --git a/unique/uniquebackend.h b/unique/uniquebackend.h
+index a50ce4e..b19ad3e 100644
+--- a/unique/uniquebackend.h
++++ b/unique/uniquebackend.h
+@@ -94,10 +94,10 @@ GType                 unique_backend_get_type       (void) G_GNUC_CONST;
+ 
+ UniqueBackend *       unique_backend_create         (void);
+ 
+-G_CONST_RETURN gchar *unique_backend_get_name       (UniqueBackend     *backend);
++const gchar *         unique_backend_get_name       (UniqueBackend     *backend);
+ void                  unique_backend_set_name       (UniqueBackend     *backend,
+                                                      const gchar       *name);
+-G_CONST_RETURN gchar *unique_backend_get_startup_id (UniqueBackend     *backend);
++const gchar *         unique_backend_get_startup_id (UniqueBackend     *backend);
+ void                  unique_backend_set_startup_id (UniqueBackend     *backend,
+                                                      const gchar       *startup_id);
+ GdkScreen *           unique_backend_get_screen     (UniqueBackend     *backend);
+diff --git a/unique/uniqueinternals.h b/unique/uniqueinternals.h
+index 3cec152..ccae0cd 100644
+--- a/unique/uniqueinternals.h
++++ b/unique/uniqueinternals.h
+@@ -44,11 +44,11 @@ UniqueResponse unique_app_emit_message_received (UniqueApp         *app,
+  * and then back into an id
+  */
+ UniqueResponse        unique_response_from_string  (const gchar    *response);
+-G_CONST_RETURN gchar *unique_response_to_string    (UniqueResponse  response);
++const gchar *         unique_response_to_string    (UniqueResponse  response);
+ 
+ gint                  unique_command_from_string   (UniqueApp      *app,
+                                                     const gchar    *command);
+-G_CONST_RETURN gchar *unique_command_to_string     (UniqueApp      *app,
++const gchar *         unique_command_to_string     (UniqueApp      *app,
+                                                     gint            command);
+ 
+ G_END_DECLS
+diff --git a/unique/uniquemessage.c b/unique/uniquemessage.c
+index c74392d..2b2a9fc 100644
+--- a/unique/uniquemessage.c
++++ b/unique/uniquemessage.c
+@@ -185,7 +185,7 @@ unique_message_data_set (UniqueMessageData *message_data,
+  *
+  * Since: 1.0.2
+  */
+-G_CONST_RETURN guchar *
++const guchar *
+ unique_message_data_get (UniqueMessageData *message_data,
+                          gsize             *length)
+ {
+@@ -525,7 +525,7 @@ unique_message_data_get_screen (UniqueMessageData *message_data)
+  *   owned by the #UniqueMessageData structure and should not be
+  *   modified or freed
+  */
+-G_CONST_RETURN gchar *
++const gchar *
+ unique_message_data_get_startup_id (UniqueMessageData *message_data)
+ {
+   g_return_val_if_fail (message_data != NULL, NULL);
+diff --git a/unique/uniquemessage.h b/unique/uniquemessage.h
+index d3e9c3c..93eee21 100644
+--- a/unique/uniquemessage.h
++++ b/unique/uniquemessage.h
+@@ -48,7 +48,7 @@ void                   unique_message_data_free           (UniqueMessageData *me
+ void                   unique_message_data_set            (UniqueMessageData *message_data,
+                                                            const guchar      *data,
+                                                            gsize              length);
+-G_CONST_RETURN guchar *unique_message_data_get            (UniqueMessageData *message_data,
++const guchar *         unique_message_data_get            (UniqueMessageData *message_data,
+                                                            gsize             *length);
+ 
+ gboolean               unique_message_data_set_text       (UniqueMessageData *message_data,
+@@ -63,7 +63,7 @@ void                   unique_message_data_set_filename   (UniqueMessageData *me
+ gchar *                unique_message_data_get_filename   (UniqueMessageData *message_data);
+ 
+ GdkScreen *            unique_message_data_get_screen     (UniqueMessageData *message_data);
+-G_CONST_RETURN gchar * unique_message_data_get_startup_id (UniqueMessageData *message_data);
++const gchar *          unique_message_data_get_startup_id (UniqueMessageData *message_data);
+ guint                  unique_message_data_get_workspace  (UniqueMessageData *message_data);
+ 
+ G_END_DECLS
+-- 
+1.7.6
+

+ 50 - 0
brasero/libunique/libunique-1.1.6-compiler-warnings.patch

@@ -0,0 +1,50 @@
+From 9df132a70d54b768a8e1d0335d24b85ac9b3fb76 Mon Sep 17 00:00:00 2001
+From: Emmanuele Bassi <ebassi@linux.intel.com>
+Date: Sun, 27 Mar 2011 08:42:22 +0000
+Subject: Remove compiler warnings
+
+(cherry picked from commit f791ed16b19dddc7fbaf90d8f797520e67883021)
+
+Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>
+---
+diff --git a/unique/dbus/uniquebackend-dbus.c b/unique/dbus/uniquebackend-dbus.c
+index 3ae1bed..69faa00 100644
+--- a/unique/dbus/uniquebackend-dbus.c
++++ b/unique/dbus/uniquebackend-dbus.c
+@@ -84,7 +84,6 @@ unique_backend_dbus_register_proxy (UniqueBackendDBus *backend_dbus)
+ static gboolean
+ unique_backend_dbus_request_name (UniqueBackend *backend)
+ {
+-  UniqueBackendDBus *backend_dbus;
+   const gchar *name;
+   DBusGConnection *connection;
+   DBusGProxy *proxy;
+@@ -97,8 +96,6 @@ unique_backend_dbus_request_name (UniqueBackend *backend)
+   if (!connection)
+     return FALSE;
+ 
+-  backend_dbus = UNIQUE_BACKEND_DBUS (backend);
+-
+   retval = TRUE;
+   name = unique_backend_get_name (backend);
+   g_assert (name != NULL);
+@@ -207,10 +204,14 @@ unique_backend_dbus_send_message (UniqueBackend     *backend,
+                                         cmd, data, time_,
+                                         &resp,
+                                         &error);
+-  if (error)
++  if (!res)
+     {
+-      g_warning ("Error while sending message: %s", error->message);
+-      g_error_free (error);
++      if (error)
++        {
++          g_warning ("Error while sending message: %s", error->message);
++          g_error_free (error);
++        }
++
+       g_free (cmd);
+       
+       return UNIQUE_RESPONSE_INVALID;
+--
+cgit v0.9

+ 1 - 0
brasero/libunique/libunique-1.1.6.tar.bz2.md5

@@ -0,0 +1 @@
+7955769ef31f1bc4f83446dbb3625e6d  libunique-1.1.6.tar.bz2

+ 91 - 0
brasero/libunique/libunique.SlackBuild

@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for libunique
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=libunique
+VERSION=${VERSION:-1.1.6}
+BUILD=${BUILD:-4}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) ARCH=i486 ;;
+    arm*) ARCH=arm ;;
+       *) ARCH=$( uname -m ) ;;
+  esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# remove compiler warnings to make gcc-4.7 happy
+patch -p1 < $CWD/libunique-1.1.6-compiler-warnings.patch
+
+# Remove G_CONST_RETURN usage, now that its gone in glib
+# https://bugzilla.gnome.org/show_bug.cgi?id=652545
+patch -p1 < $CWD/libunique-1.1.6-G_CONST_RETURN.patch
+
+CFLAGS="$SLKCFLAGS -Wno-deprecated-declarations" \
+CXXFLAGS="$SLKCFLAGS -Wno-deprecated-declarations" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --enable-static=no \
+  --enable-dbus=yes \
+  --enable-bacon=yes \
+  --disable-dependency-tracking \
+  --disable-maintainer-flags \
+  --with-x \
+  --enable-debug=no \
+  --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+  AUTHORS ChangeLog COPYING INSTALL NEWS README \
+  $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}

+ 10 - 0
brasero/libunique/libunique.info

@@ -0,0 +1,10 @@
+PRGNAM="libunique"
+VERSION="1.1.6"
+HOMEPAGE="http://live.gnome.org/LibUnique"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/libunique/1.1/libunique-1.1.6.tar.bz2"
+MD5SUM="7955769ef31f1bc4f83446dbb3625e6d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"

+ 19 - 0
brasero/libunique/slack-desc

@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+         |-----handy-ruler------------------------------------------------------|
+libunique: libunique (a library for writing single instance applications)
+libunique:
+libunique: Unique is a library for writing single instance applications. Unique
+libunique: makes it easy to write this kind of applications, by providing a base
+libunique: class, taking care of all the IPC machinery needed to send messages
+libunique: to a running instance, and also handling the startup notification
+libunique: side.
+libunique:
+libunique: Homepage: http://live.gnome.org/LibUnique
+libunique:
+libunique:

+ 1 - 0
brasero/orc/.gitignore

@@ -0,0 +1 @@
+orc-*.tar.gz

+ 5 - 0
brasero/orc/README

@@ -0,0 +1,5 @@
+Orc is a library and set of tools for compiling and executing very
+simple programs that operate on arrays of data. The language is a generic
+assembly language that represents many of the features available in SIMD
+architectures, including saturated addition and subtraction, and many
+arithmetic operations.

+ 1 - 0
brasero/orc/orc-0.4.19.tar.gz.md5

@@ -0,0 +1 @@
+2cacea6271aade6d592fe1622a136f19  orc-0.4.19.tar.gz

+ 80 - 0
brasero/orc/orc.SlackBuild

@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for orc
+
+# Written by M.Dinslage (daedra1980@gmail.com)
+
+PRGNAM=orc
+VERSION=${VERSION:-0.4.19}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) ARCH=i486 ;;
+    arm*) ARCH=arm ;;
+       *) ARCH=$( uname -m ) ;;
+  esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+  -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --sysconfdir=/etc \
+  --localstatedir=/var \
+  --mandir=/usr/man \
+  --docdir=/usr/doc/$PRGNAM-$VERSION \
+  --disable-static \
+  --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}

+ 10 - 0
brasero/orc/orc.info

@@ -0,0 +1,10 @@
+PRGNAM="orc"
+VERSION="0.4.19"
+HOMEPAGE="http://code.entropywave.com/projects/orc/"
+DOWNLOAD="http://gstreamer.freedesktop.org/data/src/orc/orc-0.4.19.tar.gz"
+MD5SUM="2cacea6271aade6d592fe1622a136f19"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="M.Dinslage"
+EMAIL="daedra1980@gmail.com"

+ 19 - 0
brasero/orc/slack-desc

@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+   |-----handy-ruler------------------------------------------------------|
+orc: orc (The Oil Runtime Compiler)
+orc:
+orc: Orc is a library and set of tools for compiling and executing very
+orc: simple programs that operate on arrays of data. The language is
+orc: a generic assembly language that represents many of the features
+orc: available in SIMD architectures, including saturated addition and
+orc: subtraction, and many arithmetic operations.
+orc:
+orc:
+orc:
+orc:

+ 1 - 0
brasero/plugin_for_brasero/dvdauthor/.gitignore

@@ -0,0 +1 @@
+dvdauthor-*.tar.gz

+ 2 - 0
brasero/plugin_for_brasero/dvdauthor/README

@@ -0,0 +1,2 @@
+dvdauthor is a program that will generate a DVD movie from a valid mpeg2
+stream. The movie should play when you put it in a standard DVD player.

+ 1 - 0
brasero/plugin_for_brasero/dvdauthor/dvdauthor-0.7.1.tar.gz.md5

@@ -0,0 +1 @@
+2694a5a3ef460106ea3caf0f7f60ff80  dvdauthor-0.7.1.tar.gz

+ 28 - 21
construction_pdf_mod/libgdiplus/libgdiplus.SlackBuild

@@ -1,8 +1,9 @@
 #!/bin/sh
 
-# Slackware build script for libgdiplus
+# Slackware build script for dvdauthor
 
-# Copyright 2006  Martin Lefebvre <dadexter@gmail.com>
+# Copyright 2007  Brian Reichert <rignes@pobox.com>
+# Copyright 2010,2013  Niels Horn - Rio de Janeiro, Brazil
 # All rights reserved.
 #
 # Redistribution and use of this script, with or without modification, is
@@ -22,12 +23,14 @@
 # OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 # ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-# Modified by the SlackBuilds.org project
+# Revision date: 2013/03/28
+#
+# Modified by jpantinoux arllinux <sloteur@free.fr>
 
-PRGNAM=libgdiplus
-VERSION=2.10.9
-BUILD=${BUILD:-2}
-TAG=${TAG:-_SBo}
+PRGNAM=dvdauthor
+VERSION=${VERSION:-0.7.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_arllinux}
 
 if [ -z "$ARCH" ]; then
   case "$( uname -m )" in
@@ -38,7 +41,7 @@ if [ -z "$ARCH" ]; then
 fi
 
 CWD=$(pwd)
-TMP=${TMP:-/tmp/SBo}
+TMP=${TMP:-/tmp/arllinux}
 PKG=$TMP/package-$PRGNAM
 OUTPUT=${OUTPUT:-/tmp}
 
@@ -58,12 +61,20 @@ fi
 
 set -e
 
+if [ ! -r $PRGNAM-$VERSION.tar.xz ] ; then
+    wget -c http://downloads.sourceforge.net/$PRGNAM/$PRGNAM-$VERSION.tar.gz
+  fi
+
+md5sum -c $PRGNAM-$VERSION.tar.gz.md5
+
+
+
 rm -rf $PKG
 mkdir -p $TMP $PKG $OUTPUT
 cd $TMP
-rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
-cd $PRGNAM-$VERSION
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
 chown -R root:root .
 find -L . \
  \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -75,30 +86,26 @@ CFLAGS="$SLKCFLAGS" \
 CXXFLAGS="$SLKCFLAGS" \
 ./configure \
   --prefix=/usr \
+  --libdir=/usr/lib$LIBDIRSUFFIX \
   --sysconfdir=/etc \
   --localstatedir=/var \
   --mandir=/usr/man \
-  --libdir=/usr/lib${LIBDIRSUFFIX} \
-  --docdir=/usr/doc/$PRGNAM-$VERSION \
-  --disable-static \
   --build=$ARCH-slackware-linux
 
-# Quick fix borrowed from:
-# https://www.slacky.eu/asche64/pkgreports/
-sed -i "s/^LIBS = -lpthread -lfontconfig $/\
-           LIBS = -lpthread -lfontconfig -lglib-2.0 -lX11/" tests/Makefile
-
 make
 make install-strip DESTDIR=$PKG
 
 mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
 cp -a \
-  AUTHORS COPYING ChangeLog INSTALL LICENSE MPL-1.1.html NEWS README TODO \
+  AUTHORS ChangeLog COPYING INSTALL NEWS README TODO \
   $PKG/usr/doc/$PRGNAM-$VERSION
 cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
 
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
 mkdir -p $PKG/install
 cat $CWD/slack-desc > $PKG/install/slack-desc
 
 cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-txz}

+ 10 - 0
brasero/plugin_for_brasero/dvdauthor/dvdauthor.info

@@ -0,0 +1,10 @@
+PRGNAM="dvdauthor"
+VERSION="0.7.1"
+HOMEPAGE="http://dvdauthor.sf.net"
+DOWNLOAD="http://downloads.sourceforge.net/dvdauthor/dvdauthor-0.7.1.tar.gz"
+MD5SUM="2694a5a3ef460106ea3caf0f7f60ff80"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Niels Horn"
+EMAIL="niels.horn@gmail.com"

+ 19 - 0
brasero/plugin_for_brasero/dvdauthor/slack-desc

@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+         |-----handy-ruler------------------------------------------------------|
+dvdauthor: dvdauthor (A simple set of tools to help you author a DVD)
+dvdauthor:
+dvdauthor: dvdauthor is a program that will generate a DVD movie from a valid
+dvdauthor: mpeg2 stream.
+dvdauthor: The resulting movie should play in a standard DVD player.
+dvdauthor:
+dvdauthor: Homepage: http://dvdauthor.sf.net
+dvdauthor:
+dvdauthor:
+dvdauthor:
+dvdauthor:

+ 0 - 1
construction_pdf_mod/libgdiplus/.gitignore

@@ -1 +0,0 @@
-libgdiplus-*.tar.bz2

+ 0 - 2
construction_pdf_mod/libgdiplus/README

@@ -1,2 +0,0 @@
-libgdiplus is an open source implementation of the GDI+ API.
-This package is part of the Mono project.

+ 0 - 10
construction_pdf_mod/libgdiplus/libgdiplus.info

@@ -1,10 +0,0 @@
-PRGNAM="libgdiplus"
-VERSION="2.10.9"
-HOMEPAGE="http://www.go-mono.org"
-DOWNLOAD="http://origin-download.mono-project.com/sources/libgdiplus/libgdiplus-2.10.9.tar.bz2"
-MD5SUM="b4615c14584b5d73cbb9757c28887654"
-DOWNLOAD_x86_64=""
-MD5SUM_x86_64=""
-REQUIRES=""
-MAINTAINER="Sebastián Salazar Molina"
-EMAIL="sebastian@sebastian.cl"

+ 0 - 19
construction_pdf_mod/libgdiplus/slack-desc

@@ -1,19 +0,0 @@
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.
-# Line up the first '|' above the ':' following the base package name, and
-# the '|' on the right side marks the last column you can put a character in.
-# You must make exactly 11 lines for the formatting to be correct.  It's also
-# customary to leave one space after the ':' except on otherwise blank lines.
-
-          |-----handy-ruler------------------------------------------------------|
-libgdiplus: libgdiplus (Open Source implementation of the GDI+ API)
-libgdiplus:
-libgdiplus: An Open Source implementation of the GDI+ API.
-libgdiplus: This package is part of the Mono project.
-libgdiplus:
-libgdiplus:
-libgdiplus:
-libgdiplus:
-libgdiplus:
-libgdiplus:
-libgdiplus:

+ 0 - 1
construction_pdf_mod/mono/.gitignore

@@ -1 +0,0 @@
-mono-*.tar.bz2

+ 0 - 6
construction_pdf_mod/mono/README

@@ -1,6 +0,0 @@
-Mono is a software platform designed to allow developers to easily create 
-cross platform applications.  It is an open source implementation of 
-Microsoft's .Net Framework based on the ECMA standards for C# and the Common 
-Language Runtime.  We feel that by embracing a successful, standardized 
-software platform, we can lower the barriers to producing great applications 
-for Linux.

+ 0 - 29
construction_pdf_mod/mono/doinst.sh

@@ -1,29 +0,0 @@
-config() {
-  NEW="$1"
-  OLD="$(dirname $NEW)/$(basename $NEW .new)"
-  # If there's no config file by that name, mv it over:
-  if [ ! -r $OLD ]; then
-    mv $NEW $OLD
-  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
-    # toss the redundant copy
-    rm $NEW
-  fi
-  # Otherwise, we leave the .new copy for the admin to consider...
-}
-
-config etc/mono/browscap.ini.new
-config etc/mono/config.new
-config etc/mono/mconfig/config.xml.new
-config etc/mono/2.0/Browsers/Compat.browser.new
-config etc/mono/2.0/DefaultWsdlHelpGenerator.aspx.new
-config etc/mono/2.0/machine.config.new
-config etc/mono/2.0/settings.map.new
-config etc/mono/2.0/web.config.new
-config etc/mono/4.0/DefaultWsdlHelpGenerator.aspx.new
-config etc/mono/4.0/machine.config.new
-config etc/mono/4.0/settings.map.new
-config etc/mono/4.0/web.config.new
-config etc/mono/4.5/DefaultWsdlHelpGenerator.aspx.new
-config etc/mono/4.5/machine.config.new
-config etc/mono/4.5/settings.map.new
-config etc/mono/4.5/web.config.new

+ 0 - 107
construction_pdf_mod/mono/mono.SlackBuild

@@ -1,107 +0,0 @@
-#!/bin/sh
-
-# Slackware build script for mono
-# Written by Sebastián Salazar Molina <ssalazar@orangepeople.cl>
-
-PRGNAM=mono
-VERSION=${VERSION:-3.2.3}
-BUILD=${BUILD:-1}
-TAG=${TAG:-_SBo}
-
-if [ -z "$ARCH" ]; then
-  case "$( uname -m )" in
-    i?86) ARCH=i486 ;;
-    arm*) ARCH=arm ;;
-       *) ARCH=$( uname -m ) ;;
-  esac
-fi
-
-CWD=$(pwd)
-TMP=${TMP:-/home/jpantinoux/tmp/SBo}
-PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/home/jpantinoux/tmp}
-
-if [ "$ARCH" = "i486" ]; then
-   SLKCFLAGS="-O2 -march=i686 -mtune=i686"
-   LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
-   SLKCFLAGS="-O2 -march=i686 -mtune=i686"
-   LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
-   SLKCFLAGS="-O2 -fPIC"
-   LIBDIRSUFFIX="64"
-else
-   SLKCFLAGS="-O2"
-   LIBDIRSUFFIX=""
-fi
-
-set -e
-
-rm -rf $PKG
-mkdir -p $TMP $PKG $OUTPUT
-cd $TMP
-rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
-cd $PRGNAM-$VERSION
-chown -R root:root .
-find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-  -o -perm 511 \) -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
-  --prefix=/usr \
-  --sysconfdir=/etc \
-  --localstatedir=/var \
-  --mandir=/usr/man \
-  --libdir=/usr/lib${LIBDIRSUFFIX} \
-  --docdir=/usr/doc/$PRGNAM-$VERSION \
-  --build=$ARCH-slackware-linux
-
-make
-make install DESTDIR=$PKG
-
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-
-# Don't clobber the config files
-( cd $PKG/etc/mono
-
-  mv config config.new
-  mv browscap.ini browscap.ini.new
-  mv mconfig/config.xml mconfig/config.xml.new
-
-  mv 2.0/settings.map 2.0/settings.map.new
-  mv 2.0/machine.config 2.0/machine.config.new
-  mv 2.0/web.config 2.0/web.config.new
-  mv 2.0/Browsers/Compat.browser 2.0/Browsers/Compat.browser.new
-  mv 2.0/DefaultWsdlHelpGenerator.aspx 2.0/DefaultWsdlHelpGenerator.aspx.new
-
-  mv 4.0/DefaultWsdlHelpGenerator.aspx 4.0/DefaultWsdlHelpGenerator.aspx.new
-  mv 4.0/machine.config 4.0/machine.config.new
-  mv 4.0/settings.map 4.0/settings.map.new
-  mv 4.0/web.config 4.0/web.config.new
-
-  mv 4.5/DefaultWsdlHelpGenerator.aspx 4.5/DefaultWsdlHelpGenerator.aspx.new
-  mv 4.5/machine.config 4.5/machine.config.new
-  mv 4.5/settings.map 4.5/settings.map.new
-  mv 4.5/web.config 4.5/web.config.new
-)
-
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
-  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -ar \
-  AUTHORS ChangeLog COPYING.LIB LICENSE NEWS README docs \
-  $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-
-mkdir -p $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
-
-cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}

+ 0 - 10
construction_pdf_mod/mono/mono.info

@@ -1,10 +0,0 @@
-PRGNAM="mono"
-VERSION="3.2.3"
-HOMEPAGE="http://www.mono-project.com/"
-DOWNLOAD="http://download.mono-project.com/sources/mono/mono-3.2.3.tar.bz2"
-MD5SUM="a66c6309fad071e21f77f4c6b67a0f10"
-DOWNLOAD_x86_64=""
-MD5SUM_x86_64=""
-REQUIRES="libgdiplus"
-MAINTAINER="Sebastián Salazar Molina"
-EMAIL="sebastian@sebastian.cl"

+ 0 - 19
construction_pdf_mod/mono/slack-desc

@@ -1,19 +0,0 @@
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.
-# Line up the first '|' above the ':' following the base package name, and
-# the '|' on the right side marks the last column you can put a character in.
-# You must make exactly 11 lines for the formatting to be correct.  It's also
-# customary to leave one space after the ':' except on otherwise blank lines.
-
-    |-----handy-ruler------------------------------------------------------|
-mono: Mono (cross platform, open source .NET development framework.)
-mono:
-mono: Mono is a software platform designed to allow developers to easily
-mono: create cross platform applications.
-mono: It is an open source implementation of Microsoft's .Net Framework
-mono: based on the ECMA standards for C# and the Common Language Runtime.
-mono:
-mono: Last information can be found at
-mono: http://www.mono-project.com
-mono:
-mono:

+ 1 - 1
dia/dia.SlackBuild

@@ -97,4 +97,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
 cat $CWD/doinst.sh > $PKG/install/doinst.sh
 
 cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-txz}

+ 2 - 2
template_slackbuilds

@@ -6,9 +6,9 @@
 TAG=${TAG:-_arllinux}
 
 CWD=$(pwd)
-TMP=${TMP:-/home/jpantinoux/tmp/arllinux}
+TMP=${TMP:-/tmp/arllinux}
 PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/home/jpantinoux/tmp}
+OUTPUT=${OUTPUT:-/tmp}
 
 
 if [ ! -r $PRGNAM-$VERSION.tar.xz ] ; then